@echo off

REM ******************* BEGIN CONFIGURATION ******************* 

set BACKUP_DIR=C:\esilo_backups
set FILES_TO_SPLIT=*.vbk

REM Split size must be 64 GiB or less

REM 64 GiB
REM set SPLIT_SIZE=68719476736

REM 32 GiB
set SPLIT_SIZE=34359738368

REM 700 MiB for CD-Rs
REM set SPLIT_SIZE=734003200

set SUBDIR=splitfiles
set LOGFILE=%BACKUP_DIR%\%SUBDIR%\backup.log

REM ******************* END CONFIGURATION ******************* 



cd %BACKUP_DIR%
mkdir %SUBDIR%

REM Delete old log files
if exist backup.log del /Q %LOGFILE%


echo %DATE% %TIME% >> %LOGFILE%
echo Starting split... >> %LOGFILE%
echo. >> %LOGFILE%

for %%i in (%FILES_TO_SPLIT%) do (
echo Splitting %%i ... >> %LOGFILE% 2>&1
%BACKUP_DIR%\split.exe -a 3 -d -b %SPLIT_SIZE% "%%i" "%BACKUP_DIR%\%SUBDIR%\%%i." >> %LOGFILE% 2>&1
if NOT ERRORLEVEL 0 goto errorsplit
IF NOT EXIST "%BACKUP_DIR%\%SUBDIR%\%%i.000" goto errorsplit
echo Splitting %%i : Success. >> %LOGFILE% 2>&1
echo. >> %LOGFILE%
)



goto :ok


:errorsplit

echo Failed splitting. >> %LOGFILE%
exit /b 1


:ok

echo %DATE% %TIME% >> %LOGFILE%
echo Completed successfully >> %LOGFILE%
exit /b 0
